#include "caosdb/constants.h" // for LIBCAOSDB_VERSION_MAJOR, LIBCAOSDB_VER...
#include "ccaosdb.h"          // for caosdb_info_version_info, caosdb_conne...
#include <stdio.h>            // for printf

int main(void) {
  int status = 0; // last function return value
  printf(
    "CaosDB C client (libcaosdb %d.%d.%d)\nWe don't miss the H of caos.\n\n",
    LIBCAOSDB_VERSION_MAJOR, LIBCAOSDB_VERSION_MINOR, LIBCAOSDB_VERSION_PATCH);

  caosdb_connection_connection connection;
  status =
    caosdb_connection_connection_manager_get_default_connection(&connection);
  if (status != 0) {
    printf("An error occured: ERROR %d - %s\n", status,
           caosdb_get_status_description(status));
    return status;
  }

  caosdb_info_version_info version_info;
  status = caosdb_connection_get_version_info(&version_info, &connection);
  if (status != 0) {
    printf("An error occured: ERROR %d - %s\n", status,
           caosdb_get_status_description(status));
    return status;
  }

  printf("Server version: %d.%d.%d-%s-%s\n", version_info.major,
         version_info.minor, version_info.patch, version_info.pre_release,
         version_info.build);

  return 0;
}
